> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Request termination

POST https://api.letsdeel.com/rest/gp/workers/{worker_id}/terminations
Content-Type: application/json

Initiates the termination process for a Global Payroll worker. A successful response confirms the request was accepted and the process has begun, but does not indicate that termination is complete.

 **Token scopes**: `global-payroll:write`

Reference: https://developer.deel.com/api/endpoints/gp-hiring/create-gp-worker-termination

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — Unique identifier for a worker in UUID format.

### Body (application/json)

This endpoint expects an object.

- `data` (GpWorkersWorkerIdTerminationsPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 201

Successful operation.

- `data` (GpWorkersWorkerIdTerminationsPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### GpWorkersWorkerIdTerminationsPostRequestBodyContentApplicationJsonSchemaData

- `message` (string, required) — The reason for terminating the worker's engagement.
- `severance` (GpWorkersWorkerIdTerminationsPostRequestBodyContentApplicationJsonSchemaDataSeverance, required)
- `is_voluntary` (boolean, required) — Indicates whether the worker termination is voluntary (true) or involuntary (false).
- `desired_end_date` (string, required) — The preferred end date for terminating the worker's engagement, in ISO-8601 format (YYYY-MM-DD).
- `last_date_of_work` (string, required) — The effective termination date of the worker's employment, in ISO-8601 format (YYYY-MM-DD).

### GpWorkersWorkerIdTerminationsPostResponsesContentApplicationJsonSchemaData

- `id` (string, required) — Unique identifier for the termination request.
- `last_date_of_work` (string, required) — Long date-time format following ISO-8601.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### GpWorkersWorkerIdTerminationsPostRequestBodyContentApplicationJsonSchemaDataSeverance

### GpWorkersWorkerIdTerminationsPostRequestBodyContentApplicationJsonSchemaDataSeverance0

- `type` (enum, required) — The type of severance, either in time off.
  - Allowed values: `TIME`
- `amount` (double, required) — The amount of severance, specified in the designated currency or time unit.
- `currency` (string, required) — Currency code for severance.
- `time_unit` (enum, required) — The unit of time for severance (e.g., DAYS, WEEKS, MONTHS).
  - Allowed values: `DAYS`, `WEEKS`, `MONTHS`

### GpWorkersWorkerIdTerminationsPostRequestBodyContentApplicationJsonSchemaDataSeverance1

- `type` (enum, required) — The type of severance, in cash.
  - Allowed values: `CASH`
- `amount` (double, required) — The amount of severance, specified in the designated currency.
- `currency` (string, required) — Currency code for severance.

## Examples

**Request**

```json
{
  "data": {
    "message": "Termination reason",
    "severance": {
      "amount": 100,
      "currency": "USD",
      "time_unit": "MONTHS",
      "type": "TIME"
    },
    "is_voluntary": true,
    "desired_end_date": "2023-12-31",
    "last_date_of_work": "2023-12-31"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "6f50539e-9f62-45d0-a42e-62a62fbb984a",
    "last_date_of_work": "2022-05-24T09:38:46.235Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/terminations"

payload = { "data": {
        "message": "Termination reason",
        "severance": {
            "amount": 100,
            "currency": "USD",
            "time_unit": "MONTHS",
            "type": "TIME"
        },
        "is_voluntary": True,
        "desired_end_date": "2023-12-31",
        "last_date_of_work": "2023-12-31"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/terminations';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"message":"Termination reason","severance":{"amount":100,"currency":"USD","time_unit":"MONTHS","type":"TIME"},"is_voluntary":true,"desired_end_date":"2023-12-31","last_date_of_work":"2023-12-31"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/terminations"

	payload := strings.NewReader("{\n  \"data\": {\n    \"message\": \"Termination reason\",\n    \"severance\": {\n      \"amount\": 100,\n      \"currency\": \"USD\",\n      \"time_unit\": \"MONTHS\",\n      \"type\": \"TIME\"\n    },\n    \"is_voluntary\": true,\n    \"desired_end_date\": \"2023-12-31\",\n    \"last_date_of_work\": \"2023-12-31\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/terminations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"message\": \"Termination reason\",\n    \"severance\": {\n      \"amount\": 100,\n      \"currency\": \"USD\",\n      \"time_unit\": \"MONTHS\",\n      \"type\": \"TIME\"\n    },\n    \"is_voluntary\": true,\n    \"desired_end_date\": \"2023-12-31\",\n    \"last_date_of_work\": \"2023-12-31\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/terminations")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"message\": \"Termination reason\",\n    \"severance\": {\n      \"amount\": 100,\n      \"currency\": \"USD\",\n      \"time_unit\": \"MONTHS\",\n      \"type\": \"TIME\"\n    },\n    \"is_voluntary\": true,\n    \"desired_end_date\": \"2023-12-31\",\n    \"last_date_of_work\": \"2023-12-31\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/terminations', [
  'body' => '{
  "data": {
    "message": "Termination reason",
    "severance": {
      "amount": 100,
      "currency": "USD",
      "time_unit": "MONTHS",
      "type": "TIME"
    },
    "is_voluntary": true,
    "desired_end_date": "2023-12-31",
    "last_date_of_work": "2023-12-31"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/terminations");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"message\": \"Termination reason\",\n    \"severance\": {\n      \"amount\": 100,\n      \"currency\": \"USD\",\n      \"time_unit\": \"MONTHS\",\n      \"type\": \"TIME\"\n    },\n    \"is_voluntary\": true,\n    \"desired_end_date\": \"2023-12-31\",\n    \"last_date_of_work\": \"2023-12-31\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "message": "Termination reason",
    "severance": [
      "amount": 100,
      "currency": "USD",
      "time_unit": "MONTHS",
      "type": "TIME"
    ],
    "is_voluntary": true,
    "desired_end_date": "2023-12-31",
    "last_date_of_work": "2023-12-31"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/terminations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```